Name:      perl-BadTraffic2
Version:   2.3.0
Release:   1.vision4
Summary:        Perl extension for IP reputation firewall management
License:        CHECK(Distributable)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/BadTraffic2/
Source0:        http://www.cpan.org/modules/by-module/BadTraffic2/BadTraffic2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
AutoReqProv:        no
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON) >= 2
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(NCSU::RESTclient) >= v0.5.1
BuildRequires:  perl(Net::CIDR::Set) >= 0.13
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(version)
Requires:       perl(JSON) >= 2
Requires:       perl(NCSU::RESTclient) >= v0.5.1
Requires:       perl(Net::CIDR::Set) >= 0.13
Requires:       perl(Test::More)
Requires:       perl(URI)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
BadTraffic2 reads and writes to a MySQL database and blocks traffic
according entries found. It provides facilities for whitelisting addresses
or networks using CIDR formatting.

%prep
%setup -q -n BadTraffic2-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README.md
%{perl_vendorlib}/*
%{_bindir}/bt_*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Jan 23 2021 Charles Brabec <brabec@ncsu.edu> - 2.3.0-1.vision4
- rebuild with sensitive language changes

* Wed Aug 19 2020 Charles Brabec <brabec@ncsu.edu> - 2.2.1-2.vision4
- added ipset+firewalld support and fixed some resulting bugs

* Wed Mar 20 2019 Charles Brabec <brabec@ncsu.edu> - 2.1.0-1.vision4
- adds FW_TYPE = sdbm for use with mod_rewrite maps in apache httpd

* Mon Oct 15 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.5-1.vision4
- updates bt_web_scanner with more aggresive xmlrpc abuse checking

* Fri Aug 17 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.4-1.vision4
- added xmlrpc abuse check to web scanner

* Fri Mar 09 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.3-4.vision4
- minor changes to web scanner

* Thu Feb 08 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.3-1.vision4
- change default hashsize to 8192 in ipset

* Wed Feb 07 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.2-2.vision4
- add wordpress load-scripts DOS check to bt_web_scanner

* Thu Jan 25 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.2-1.vision4
- added geoip lookup to rest services

* Wed Jan 24 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.1-3.vision4
- making little patches to parser scripts

* Fri Jan 05 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.0-4.vision4
- patch IPSet.pm to create set with params matching puppet module

* Thu Jan 04 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.0-3.vision4
- more small patches

* Thu Jan 04 2018 Charles Brabec <brabec@ncsu.edu> - 2.0.0-2.vision4
- minor patch for bt_rule -F

* Fri Dec 22 2017 Charles Brabec <brabec@ncsu.edu> - 2.0.0-1.vision4
- Imported to Vision4 Repo
- This is an alpha build. The code is not yet completed.

* Fri Dec 22 2017 Vision4 Importer <nobody@ncsu.edu> 2.0.0-1
- Specfile autogenerated by cpanspec 1.78.
